%global _owner pgnd
%global _build_timestamp %( date +%%Y%%m%%d_%%H%%M%%S --utc )
%global _dist .%{_build_timestamp}.%{_owner}.fc%{fedora}

%define _dcc_name        dcc
%define _dcc_ug_name     %{_dcc_name}-sysusers
%define _dcc_ug_pkgname  %{_dcc_ug_name}
%define _dcc_ug_comment  DCC-Milter users & groups

# https://spdx.org/licenses/MIT.html
%global _dcc_ug_license MIT

%define _dcc_ug_file_in  %{_dcc_name}.sysusers
%define _dcc_ug_file_out %{_dcc_name}.conf
%define _dcc_ug_dir      /etc/sysusers.d

%global dist %{_dist}

Vendor:           %{_owner}

# NEVRA (n-e:v-r.a)
Name:              %{_dcc_ug_name}
Epoch:             3
Version:           git_1.0
Release:           0%{?dist}
BuildArch:         noarch
#	https://blog.jasonantman.com/2014/07/how-yum-and-rpm-compare-versions/
%global _same_evr   %{epoch}:%{version}-%{release}

Summary:           %{_dcc_ug_comment}
License:           %{_dcc_ug_license}

Source0:           %{_dcc_ug_file_in}
Provides:          user(dcc)
Provides:          group(dcc)

BuildRequires:     coreutils
# https://docs.fedoraproject.org/en-US/packaging-guidelines/UsersAndGroups/#_dynamic_allocation
BuildRequires:     systemd-rpm-macros
%{?sysusers_requires_compat}

%description
%{_dcc_ug_comment}

%prep
cp %{SOURCE0} .

%build

%install
mkdir -p %{buildroot}%{_dcc_ug_dir}
install -p -T -m 644 %{SOURCE0} %{buildroot}%{_dcc_ug_dir}/%{_dcc_ug_file_out}

%check

%pre
%sysusers_create_compat %{SOURCE0}

%files
%dir %{_dcc_ug_dir}
%{_dcc_ug_dir}/%{_dcc_ug_file_out}

%changelog
* Sun Jan 26 2025 pgnd _ <null@null.loc>
- bump 1737914861
